Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Dart Editor as an Eclipse plugin [+10] #702

Closed
danrubel opened this Issue Dec 6, 2011 · 19 comments

Comments

Projects
None yet
5 participants
Member

danrubel commented Dec 6, 2011

[user feedback]
I love the editor and autocomplete, but this would be much more useful in the form of an eclipse plugin rather than a standalone editor. My main gripes are around general utilities such as directory creation, opening a resource by name, etc. which could all be mitigated if running inside eclipse.

Member

danrubel commented Jan 17, 2012

Changed the title to: "Dart Editor as an Eclipse plugin (+1)".

Member

danrubel commented Feb 13, 2012

Changed the title to: "Dart Editor as an Eclipse plugin (+2)".

clayberg commented Mar 6, 2012

Changed the title to: "Dart Editor as an Eclipse plugin (+3)".

Member

pq commented Mar 14, 2012

Changed the title to: "Dart Editor as an Eclipse plugin (+4)".

Changed the title to: "Dart Editor as an Eclipse plugin (+5)".

Issue #2201 has been merged into this issue.

[user feedback]

It would be really nice if Dart Editor was available as an Eclipse plugin for a more seamless expreience with other Eclipse editors like JDT, Scala IDE, WTP etc.


Changed the title to: "Dart Editor as an Eclipse plugin (+6)".

DartBot commented Apr 27, 2012

This comment was originally written by cam...@braid.com.au


The other benefit of it being an eclipse plugin is that other plugins could be used to complement the experience.

Some examples :

* the git plugin could be used to manage the dart sources in a git repository, etc

  • projects with other sources besides dart would be able to use other editor plugins (like js, css, etc..) alongside the dart editor

[user feedback]

Please build an eclipse plugin


Changed the title to: "Dart Editor as an Eclipse plugin (+7)".

Member

danrubel commented Apr 30, 2012

We could better support this user if we provided plugins in addition to an RCP...

[user feedback]
when opening dartEditor, it should not try to re-open files I had open in Eclipse.
////////////////////////////////////////////////////////////////////////////////////
Editor Version: 6943


Changed the title to: "Dart Editor as an Eclipse plugin (+8)".

DartBot commented May 1, 2012

This comment was originally written by sullivan.kevinj...@gmail.com


Thanks, Folks. I concur with the request for a plug-in capability. My group at the University of Virginia uses IBM Jazz Team Server and Rational Team Concert (basically an Eclipse plug-in to Team Server) for collaborative software development: versions, issue tracking, etc. We'd really like to integrate Dart into our standard development process. The current Dart development environment pulls us out of our standard process.

Member

pq commented May 23, 2012

Set owner to @pq.
Added Accepted label.

clayberg commented Jun 1, 2012

Added this to the Later milestone.

Member

pq commented Jun 4, 2012

Removed this from the Later milestone.
Added this to the M1 milestone.

Member

pq commented Jun 4, 2012

Removed this from the M1 milestone.
Added this to the Later milestone.

DartBot commented Jun 25, 2012

This comment was originally written by @jwendel


This is a fairly important requirement for our team as well. Being able to have access to all the other Eclipse plugins we currently use is important to us. The main requirement for our team is having access to the integrated Teams tools. Specifically for CVS and possibly Git.

The eclipse eco-system brings along a lot of functionality that we have grown accustom to, switching language ant tools at once (especially when we have legacy code in other languages) is difficult.

Member

danrubel commented Jun 29, 2012

[user feedback]
will there be an eclipse ide plugin added soon?
////////////////////////////////////////////////////////////////////////////////////
Editor: 8948
OS: Mac OS X - x86_64 (10.7.3)
JVM: 1.6.0_26

SDK installed: true
Dartium installed: true


Changed the title to: "Dart Editor as an Eclipse plugin [+10]".

Member

pq commented Aug 14, 2012

The Dart Editor Plugin for Eclipse is officially ready for early preview! There are still rough edges and we don't have feature parity with the standalone Dart Editor but there's enough in place that interested folks may want to check it out.

If you want to kick the tires, add the following URL to the list of available software sites in your Eclipse installation (Window > Preferences > Install/Update > Available Software Sites):

   http://www.dartlang.org/eclipse/update/

Important note: on initial install, a secondary download of the dart SDK will occur. The download should only take a few seconds and will happen in the background with progress displayed in the status line. When it's done, you'll need to restart eclipse (again). (For the curious, this second restart is required to get the SDK properly recognized and is only a short-term work-around -- but hey it's an alpha!)

As always, your feedback is greatly appreciated!


Added Started label.

@danrubel danrubel added this to the M1 milestone Aug 14, 2012

@kevmoo kevmoo removed the Editor-Plugin label Jun 16, 2015

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment